Package net.dona.doip.server

# Class DoipServerConfig.TlsConfig

java.lang.Object
net.dona.doip.server.DoipServerConfig.TlsConfig

Enclosing class:
  DoipServerConfig

public static class DoipServerConfig.TlsConfig extends Object
TLS configuration for a `DoipServer`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `X509Certificate[]`
  `certificateChain`
  Certificate chain for the server.
  `String`
  `id`
  Identifier for the server, which will be included in any automatically generated server certificate.
  `PrivateKey`
  `privateKey`
  Private key for the server.
  `PublicKey`
  `publicKey`
  Public key for the server.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TlsConfig()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `int`
  `hashCode()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### id

    public String id
    Identifier for the server, which will be included in any automatically generated server certificate. If only id is present, a keypair will be minted on server startup. If `certificateChain` is provided this is ignored.

  - ### publicKey

    public PublicKey publicKey
    Public key for the server. If `certificateChain` is provided this is ignored. Otherwise a self-signed certificate using this public key is automatically generated.

  - ### privateKey

    public PrivateKey privateKey
    Private key for the server. Required if `publicKey` or `certificateChain` are present.

  - ### certificateChain

    public X509Certificate[] certificateChain
    Certificate chain for the server.

- ## Constructor Details

  - ### TlsConfig

    public TlsConfig()

- ## Method Details

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`